Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26923/?format=api
{ "ob_id": 26923, "uuid": "71229b203b874d79b95b4d0ed0eae931", "title": "APHH: Atmospheric nitrous acid (HONO) combined measurements made at the IAP-Beijing site during the summer and winter campaigns", "abstract": "This dataset contains atmospheric nitrous acid (HONO) combined measurements made at the Institute of Atmospheric Physics land station (IAP-Beijing) site, during the summer and winter APHH-Beijing campaign for the Atmospheric Pollution & Human Health in a Chinese Megacity (APHH) programme.\r\n\r\nThis combined dataset consists of a single mean time series of HONO mixing ratio (ppb), and associated min/max values determined from the datasets of 4 instruments that measured HONO at IAP at ground level. The data are averaged over 1 hour, the time stamp represents the start time of each averaging period.\r\n\r\nThe instruments included in the combined dataset are the University of Birmingham commercial wet-chemical LOPAP instrument (Heland et al. 2001), Institute of Chemistry, Chinese Academy of Sciences custom built wet-chemical instrument (Tong et al. 2016), and two custom built Broadband Cavity Enhanced Spectrophotmeters (BBCEAS) from the University of Cambridge (Kennedy et al. 2011) and Anhui Institute of Optics and Fine Mechanics (Duan et al. 2018).", "keywords": "HONO, China, LOPAP, ICCAS, CAMB, AIOFM, APHH", "publicationState": "published", "dataPublishedTime": "2019-02-06T13:53:57", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26928/?format=api", "dataPath": "/badc/aphh/data/beijing/birm-hono-combined", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 94091, "numberOfFiles": 3, "fileFormat": "Data are BADC-CSV formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6882/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1856/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/59096/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/59097/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/59098/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/59099/?format=api" ], "dataLineage": "Data produced by APHH project participants at University of Birmingham and uploaded to the Centre for Environmental Data (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/24808/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/24817/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30224/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113011/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113008/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113009/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113010/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113012/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113013/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113014/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113007/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113016/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/113015/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/26924/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }